Scilab Function
Last update : 16/06/2004

nnz - nombre de termes non nuls dans une matrice

### Calling Sequence

  `n=nnz(X)`

### Parameters

- `X` : matrice réelle ou complexe (pleine ou creuse)
- `n` : entier, le nombre de termes non nuls

### Description

`nnz` compte le nombre de termes non nuls dans une matrice pleine ou creuse.

### Examples

    sp=sparse([1,2;4,5;3,10],[1,2,3]);
    nnz(sp)
    a=[1 0 0 0 2];
    nnz(a)

### See Also

`spget`,